---
title: ':dir()'
slug: 'Web/CSS/:dir'
tags:
  - BiDi
  - CSS
  - Experimental
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:dir()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches elements based on the directionality of the text contained in them.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any element with right-to-left text */
:dir(rtl) {
  background-color: red;
}</pre>

<p>The <code>:dir()</code> pseudo-class uses only the <em>semantic</em> value of the directionality, i.e., the one defined in the document itself. It doesn't account for <em>styling</em> directionality, i.e., the directionality set by CSS properties such as {{cssxref("direction")}}.</p>

<div class="note">
<p><strong>Note:</strong> Be aware that the behavior of the <code>:dir()</code> pseudo-class is not equivalent to the <code>[dir=…]</code> <a href="/en-US/docs/Web/CSS/Attribute_selectors">attribute selectors</a>. The latter match the HTML {{htmlattrxref("dir")}} attribute, and ignore elements that lack it — even if they inherit a direction from their parent. (Similarly, <code>[dir=rtl]</code> and <code>[dir=ltr]</code> won't match the <code>auto</code> value.) In contrast, <code>:dir()</code> will match the value calculated by the {{glossary("user agent")}}, even if inherited.</p>
</div>

<div class="note">
<p><strong>Note:</strong> In HTML, the direction is determined by the {{htmlattrxref("dir")}} attribute. Other document types may have different methods.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>:dir()</code> pseudo-class requires one parameter, representing the text directionality you want to target.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>ltr</code></dt>
 <dd>Target left-to-right elements.</dd>
 <dt><code>rtl</code></dt>
 <dd>Target right-to-left elements.</dd>
</dl>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html; notranslate">&lt;div dir="rtl"&gt;
  &lt;span&gt;test1&lt;/span&gt;
  &lt;div dir="ltr"&gt;test2
    &lt;div dir="auto"&gt;עִבְרִית&lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">:dir(ltr) {
  background-color: yellow;
}

:dir(rtl) {
  background-color: powderblue;
}</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Examples') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'scripting.html#selector-ltr', ':dir(ltr)')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No changes.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#the-dir-pseudo', ':dir()')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.dir")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>Language-related pseudo-classes: {{cssxref(":lang")}}, {{cssxref(":dir")}}</li>
 <li>HTML {{htmlattrxref("lang")}} attribute</li>
 <li>HTML {{htmlattrxref("translate")}} attribute</li>
</ul>
